"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("./core");
let storeReady = true;
function session(opts) {
    //  store readiness
    if (opts && opts.store && opts.store.on) {
        opts.store.on('disconnect', () => {
            storeReady = false;
        });
        opts.store.on('connect', () => {
            storeReady = true;
        });
    }
    return (req, res, next) => {
        if (!storeReady) {
            next();
            return;
        }
        core_1.applySession(req, res, opts).then(next);
    };
}
exports.default = session;
