/// <reference types="node" />
import { EventEmitter } from 'events';
import { SessionData, SessionStore } from '../types';
export default class MemoryStore extends EventEmitter implements SessionStore {
    sessions: Record<string, string>;
    constructor();
    get(sid: string): Promise<SessionData | null>;
    set(sid: string, sess: SessionData): Promise<void>;
    touch(sid: string, session: SessionData): Promise<void>;
    all(): Promise<string[]>;
    destroy(sid: string): Promise<void>;
}
